# Uses of Class
org.snpeff.reactome.events.Event

Packages that use Event
Package
Description
org.snpeff.reactome.events

## Uses of Event in org.snpeff.reactome.events

Subclasses of Event in org.snpeff.reactome.events
Modifier and Type
Class
Description
`class`
`BlackBoxEvent`
A black box event
`class`
`CatalystActivity`
A catalyst activity event
`class`
`Complex`
A Reactome complex (a bunch of molecules or complexes
`class`
`Depolymerisation`
A depolymerization event
`class`
`Pathway`
A Reactome pathway
`class`
`Polymerisation`
A polymerization event
`class`
`Reaction`
A reaction
Classes in org.snpeff.reactome.events that implement interfaces with type arguments of type Event
Modifier and Type
Class
Description
`class`
`Pathway`
A Reactome pathway
Methods in org.snpeff.reactome.events that return types with arguments of type Event
Modifier and Type
Method
Description
`Iterator<Event>`
Pathway.`iterator()`
Methods in org.snpeff.reactome.events with parameters of type Event
Modifier and Type
Method
Description
`void`
Pathway.`add(Event e)`